/*
 * Draw_Buffer_ASCII_Expand_48x48.h
 *
 *  Created on: 2025/02/24
 *      Author: egaono-electronics
 */

#ifndef DRAW_BUFFER_ASCII_EXPAND_48X48_H_
#define DRAW_BUFFER_ASCII_EXPAND_48X48_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//----------------------------------------------------------
// 描画Bufferに Font 48 x 48 の文字をセット
//----------------------------------------------------------
// 16 x 16 fontテーブルのデータを使用して
// 縦と横をそれぞれ3倍に引き伸ばして
//                          48 x 48 fontの文字を作成する。
//----------------------------------------------------------
// 引数;
// int16_t int16_Type :
//      0 : 通常表示
//      1 : 反転表示

// uint8_t *puint8_Address_font : フォント配列のポインタ

// uint16_t uint16_Length : 文字数
// uint16_t *puint16_aCode :
//                  文字コードが格納されたBufferのポインタ
// uint8_t *puint8_aBuffer : 描画Bufferのポインタ


// 戻り値:
//  なし
//----------------------------------------------------------
void Draw_Buffer_ASCII_Expand_48x48(int16_t int16_Type,
                                    uint8_t *puint8_Address_font,
                                    uint16_t uint16_Length,
                                    uint16_t *puint16_aCode,
                                    uint8_t *puint8_aBuffer);



#endif /* DRAW_BUFFER_ASCII_EXPAND_48X48_H_ */
